function v_q = V(P, N_P, T, w, d, q)
    % P is the points cloud
    % N_p are the oriented normals for each point of P
    % T is the quadtree in which P points are stored
    % w are the estimated density at each point
    % d are the desired depth of influence for each point
    % q is the point we are trying to calculate V at.
    [n, ~] = size(P);
    [~, c] = size(N_P);
    
    % Here, we should use T, but it doesn't really matter, as the function
    % is solely there for visualization purpose, on a grid
    l = 1:n;
    
    v_q = zeros(1, c);
    for i = l
        v_q = v_q + InfluenceAtDepth(d(i), P(i, :), q) * N_P(i, :) / w(i);
    end;
    
    fprintf('1');
end