function display_results(filename, alpha, ech)


% Circular bottom left part
t = pi:ech:(7*pi/4) ;
t = t';
t = t(2:end);

P = [cos(t), sin(t)];
N_P = [-cos(t), -sin(t)];

% diagonal part
a = sqrt(2)/2;
t = 0:ech/sqrt(2):(2-a) ;
t = t';
t = t(2:end);

P = [P; [a + t, t - a]];
N_P = [N_P; repmat([-a, a], numel(t), 1)];

% left part
t = (2-2*a):ech:3;
t = t';
t = t(2:end);
P = [P; [2*ones(numel(t), 1), t]];
N_P = [N_P; repmat([-1,0], numel(t), 1)];

% top right part
t = 2:-ech:1;
t = t';
t = t(2:end);
P = [P; [t, 3*ones(numel(t), 1)]];
N_P = [N_P; repmat([0, -1], numel(t), 1)];

% right branch of the U
t = 3:-ech:2;
t = t';
t = t(2:end);
P = [P; [1*ones(numel(t), 1), t]];
N_P = [N_P; repmat([1, 0], numel(t), 1)];


% top middle part
t = 1:-ech:0;
t = t';
t = t(2:end);
P = [P; [t, 2*ones(numel(t), 1)]];
N_P = [N_P; repmat([0, -1], numel(t), 1)];

% left branch of the U
t = 2:ech:3;
t = t';
t = t(2:end);
P = [P; [0*ones(numel(t), 1), t]];
N_P = [N_P; repmat([-1, 0], numel(t), 1)];



% top left part
t = 0:-ech:-1;
t = t';
t = t(2:end);
P = [P; [t, 3*ones(numel(t), 1)]];
N_P = [N_P; repmat([0, -1], numel(t), 1)];

% left part
t = 3:-ech:0;
t = t';
t = t(2:end);
P = [P; [-1*ones(numel(t), 1), t]];
N_P = [N_P; repmat([1, 0], numel(t), 1)];

area = 3 + 1 + 1 + 1 + 1 + 1 + (1 + 2*a) + sqrt(2)*(2-a) + (7*pi/4);
area = area / 10; % needless to say, this is a curve length, not an area.


P = P/10 + 0.4;

[n_p, ~] = size(P);



File  = load(filename);

if alpha == 0
    val = File.val
else
    val = 0;    
end;

figure(1000); % the figure where we accumulate the results for each 'ech' value 
hold on;
contour(File.X, File.Y, File.Z, [val,val], 'LineWidth', 1, 'LineColor', colorFromAlpha(alpha));
hold off;

f = figure;
hold on;

File.S.T.plot();
scatter(P(:,1), P(:,2));
%File.S.T.plotV();
contour(File.X, File.Y, File.Z, 10);
if alpha == 0
contour(File.X, File.Y, File.Z, [val,val], 'LineWidth', 2, 'LineColor', 'r');
contour(File.X, File.Y, File.Z, [0,0], 'LineWidth', 2, 'LineColor', 'b');
else
    contour(File.X, File.Y, File.Z, [val,val], 'LineWidth', 2, 'LineColor', 'r');

end;
title(sprintf('%d points, alpha = %d', n_p, alpha));
axis square;
%axis equal;
axis([0.25,0.75,0.25,0.75])

hold off;

print(f, '-r400', '-dpng', sprintf('Output/Non_bruite/final__a%d_np%d.png', alpha, n_p));
axis([0.45,0.75,0.45,0.75]);
print(f, '-r400', '-dpng', sprintf('Output/Non_bruite/final__zoom_a%d_np%d.png', alpha, n_p));


    function c = colorFromAlpha(a)
        switch a
            case 0
                c = 'b';
            case 1
                c = 'g';
            case 4
                c = 'c';
            case 10
                c = 'm';
            case 40
                c = 'y';
            case 100
                c = 'k';
            otherwise
                c = 'b';
        end;
    end

end