ech = 0.2;


ech_str = '2.000000e-01';
alpha_list = [0,1,4,10,40,100];


% Circular bottom left part
t = pi:ech:(7*pi/4) ;
t = t';
t = t(2:end);

P = [cos(t), sin(t)];
N_P = [-cos(t), -sin(t)];

% diagonal part
a = sqrt(2)/2;
t = 0:ech/sqrt(2):(2-a) ;
t = t';
t = t(2:end);

P = [P; [a + t, t - a]];
N_P = [N_P; repmat([-a, a], numel(t), 1)];

% left part
t = (2-2*a):ech:3;
t = t';
t = t(2:end);
P = [P; [2*ones(numel(t), 1), t]];
N_P = [N_P; repmat([-1,0], numel(t), 1)];

% top right part
t = 2:-ech:1;
t = t';
t = t(2:end);
P = [P; [t, 3*ones(numel(t), 1)]];
N_P = [N_P; repmat([0, -1], numel(t), 1)];

% right branch of the U
t = 3:-ech:2;
t = t';
t = t(2:end);
P = [P; [1*ones(numel(t), 1), t]];
N_P = [N_P; repmat([1, 0], numel(t), 1)];


% top middle part
t = 1:-ech:0;
t = t';
t = t(2:end);
P = [P; [t, 2*ones(numel(t), 1)]];
N_P = [N_P; repmat([0, -1], numel(t), 1)];

% left branch of the U
t = 2:ech:3;
t = t';
t = t(2:end);
P = [P; [0*ones(numel(t), 1), t]];
N_P = [N_P; repmat([-1, 0], numel(t), 1)];



% top left part
t = 0:-ech:-1;
t = t';
t = t(2:end);
P = [P; [t, 3*ones(numel(t), 1)]];
N_P = [N_P; repmat([0, -1], numel(t), 1)];

% left part
t = 3:-ech:0;
t = t';
t = t(2:end);
P = [P; [-1*ones(numel(t), 1), t]];
N_P = [N_P; repmat([1, 0], numel(t), 1)];

area = 3 + 1 + 1 + 1 + 1 + 1 + (1 + 2*a) + sqrt(2)*(2-a) + (7*pi/4);
area = area / 10; % needless to say, this is a curve length, not an area.


P = P/10 + 0.4;

[n_p, ~] = size(P);

figure(1000);
clf;
scatter(P(:,1), P(:,2));


for alpha = alpha_list
    display_results(sprintf('data/final_a%d_ech%s.mat', alpha, ech_str), alpha, ech);
    
end;



f = figure(1000);
title(sprintf('%d points, surface reconstruites selon les valeurs de alpha', n_p));

axis square;
axis([0.25,0.75,0.25,0.75]);
%axis equal;
legend('points', 'alpha = 0', 'alpha = 1', 'alpha = 4', 'alpha = 10', 'alpha = 40', 'alpha = 100');

print(f, '-r400', '-dpng', sprintf('Output/Non_bruite/final__comparatif_np%d.png', n_p));
axis([0.45,0.75,0.45,0.75]);
print(f, '-r400', '-dpng', sprintf('Output/Non_bruite/final__comparatifzoom_np%d.png', n_p));








